Bug 156654 - print/ghostscript8: Ghostscript 8.71 fails when invoked from gv and other programs
print/ghostscript8: Ghostscript 8.71 fails when invoked from gv and other pro...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: doceng
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-25 23:10 UTC by bob
Modified: 2011-05-23 21:50 UTC (History)
0 users

See Also:


Attachments
file.diff (432 bytes, patch)
2011-04-25 23:10 UTC, bob
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bob 2011-04-25 23:10:02 UTC
Ghostscript 8.71 crashes with messages '/undefined ... copy_trailer_attrs' when invoked from gv, also from other programs such as Firefox. This is when viewing PDF files.

There is a documented error in one of the .ps files, which causes this. The file in question is lib/pdf2dsc.ps.

Patch shown below.

Fix: Patch below.

Patch attached with submission follows:
How-To-Repeat: Use gv to view a PDF file.
Comment 1 Mark Linimon freebsd_committer 2011-04-26 03:58:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->doceng

Over to maintainer(s).
Comment 2 dfilter freebsd_committer 2011-05-23 21:43:19 UTC
hrs         2011-05-23 20:43:10 UTC

  FreeBSD ports repository

  Modified files:
    print/ghostscript8   Makefile 
    print/ghostscript8/files Makefile.epag 
  Added files:
    print/ghostscript8/files patch-lib-pdf2dsc.ps 
  Log:
  - Fix a problem when opening a PDF file.
  - Fix a build issue when TARGET_ARCH is defined.
  
  PR:     ports/156654
  PR:     ports/156607
  
  Revision  Changes    Path
  1.205     +1 -1      ports/print/ghostscript8/Makefile
  1.3       +2 -2      ports/print/ghostscript8/files/Makefile.epag
  1.1       +11 -0     ports/print/ghostscript8/files/patch-lib-pdf2dsc.ps (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Hiroki Sato freebsd_committer 2011-05-23 21:45:17 UTC
State Changed
From-To: open->closed

Committed.  Thank you for your report!